package com.muyu.clw.common.many.remote;

import com.muyu.clw.common.many.remote.factory.RemoteEnterpriseFallbackFactory;
import com.muyu.clw.common.many.remote.factory.RemoteMessageDataFallbackFactory;
import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import com.muyu.domain.MessageData;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * 用户服务
 *
 * @author muyu
 */
@FeignClient(
        contextId = "remoteMessageDataService",
        value = ServiceNameConstants.COMPANY_ENTERPRISE,
        fallbackFactory = RemoteMessageDataFallbackFactory.class
)
public interface RemoteMessageDataService {

    @GetMapping("/messageData/list")
    public Result<List<MessageData>> enterpriseAllList();
}
