package com.muyu.clw.common.many.remote.factory;

import com.muyu.clw.common.many.remote.RemoteEnterpriseService;
import com.muyu.clw.common.many.remote.RemoteMessageDataService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import com.muyu.domain.MessageData;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName RemoteEnterpriseFallbackFactory
 * @Author AnNan.Wang
 * @Date 2024/6/7 21:55
 */

@Component
public class RemoteMessageDataFallbackFactory implements FallbackFactory<RemoteMessageDataService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteMessageDataFallbackFactory.class);

    @Override
    public RemoteMessageDataService create(Throwable cause) {
        log.error("日志服务调用失败:{}", cause.getMessage());
        return new  RemoteMessageDataService() {
            @Override
            public Result<List<MessageData>> enterpriseAllList() {
                return Result.error("报文配置获取失败:{}"+cause.getMessage());
            }
        };
    }
}
