package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 报文表
 *
 * @ClassName MessageData
 * @Author AnNan.Wang
 * @Date 2024/6/27 9:56
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("message_data")
public class MessageData extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 报文标签
     */
    private String messageLabel;
    /**
     * 指标Key
     */
    private String analyzeKey;
    /**
     * 起始位
     */
    private String initiationPosition;
    /**
     * 终止位
     */
    private String terminatePosition;
    /**
     * 报文类型
     */
    private String typeIdentification;
}
