package com.muyu.authentication.controller;

import com.muyu.authentication.service.MessageDataService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.MessageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 报文解析配置Controller层
 *
 * @ClassName MessageDataController
 * @Author AnNan.Wang
 * @Date 2024/6/27 10:27
 */

@RestController
@RequestMapping("/messageData")
public class MessageDataController {
    @Autowired
    private MessageDataService messageDataService;

    @GetMapping("/list")
    public Result<List<MessageData>> list(){
        return Result.success(
                messageDataService.messageList()
        );
    }
}
