package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.MessageAnalysisMapper;
import com.muyu.authentication.service.MessageAnalysisService;
import com.muyu.common.core.domain.Result;
import com.muyu.many.domain.MessageAnalysis;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报文解析配置实现类
 *
 * @ClassName MessageAnalysisServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/6/26 18:43
 */

@Service
public class MessageAnalysisServiceImpl extends ServiceImpl<MessageAnalysisMapper, MessageAnalysis>
        implements MessageAnalysisService {
    @Autowired
    private MessageAnalysisMapper messageAnalysisMapper;

    @Override
    public Result<String> messageAnalysisAdd(List<MessageAnalysis> messageAnalysisList) {
        for (MessageAnalysis messageAnalysis : messageAnalysisList) {
            messageAnalysisMapper.insert(
                    MessageAnalysis.builder()
                            .analyzeKey(messageAnalysis.getAnalyzeKey())
                            .analyzeStart(messageAnalysis.getAnalyzeStart())
                            .ent(messageAnalysis.getEnt())
                            .lable(messageAnalysis.getLable())
                            .type(messageAnalysis.getType())
                            .build()
            );
        }
        return Result.success();
    }
}
